textures/urban_terror2/metal_bright
{

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/urban_terror2/metal_bright.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/urban_terror2/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/urban_terror2/fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror4/rcity0003
{
	{
		map textures/urban_terror4/rcity0003.jpg
	}
	{
		map $lightmap
	                rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	                rgbgen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/urban_terror4/rcity0007
{
	{
		map textures/urban_terror4/rcity0007.jpg
	}
	{
		map $lightmap
	                rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	                rgbgen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/urban_terror6/swim_light
{
	qer_editorimage textures/urban_terror6/swim_light.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage textures/urban_terror3/nrglightblend.tga

	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/urban_terror6/swim_light.tga
	}
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

models/mapobjects/multiplant/palmfrond
{	
    surfaceparm alphashadow
    cull none
    nopicmip
	{
		map models/mapobjects/multiplant/palmfrond.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_38_10k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/urban_terror6/ww-shutter01
{
	{	
		map textures/urban_terror6/ww-shutter01.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}

	{
		map textures/urban_terror6/ww-shutter01.tga
   		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/urban_terror7/fs_railing
{
	qer_editor_image textures/urban_terror7/fs_railing.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/urban_terror7/fs_railing.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/gr_trees/tree
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/gr_trees/tree.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/gr_trees/tree2
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/gr_trees/tree2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/gr_trees/tree3
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/gr_trees/tree3.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/gr_trees/tree4
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/gr_trees/tree4.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/gr_trees/nadel
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/gr_trees/nadel.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/gr_trees/tree6
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/gr_trees/tree6.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/multiplant/fern
{	
    surfaceparm alphashadow
    cull none
    nopicmip
	{
		map models/mapobjects/multiplant/fern.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/batleaf
{	
    surfaceparm alphashadow
    cull none
    	
	{
		map models/mapobjects/multiplant/batleaf.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/leaf1
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/multiplant/leaf1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/leaf2
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/multiplant/leaf2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/leaf3
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/multiplant/leaf3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/multiplant/invisible
{
    surfaceparm alphashadow
	surfaceparm nolightmap			
        {
                map models/mapobjects/multiplant/invisible.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/ut_nuclear/skybox
{
	qer_editorimage textures/ut_nuclear/skybox
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun .5 .37 .19 30 35 15
	skyparms textures/ut_nuclear/env/skybox - -
}

textures/ut_nuclear/crossbeam2
{
	qer_editorimage textures/ut_nuclear/crossbeam2.tga
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 	0.5

	{
		map textures/ut_nuclear/crossbeam2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_nuclear/ladder
{
        qer_editorimage textures/ut_nuclear/ladder.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
        surfaceparm ladder
	cull none
        nopicmip
	{
		map textures/ut_nuclear/ladder.tga
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

